if (typeof Promise !== "undefined" && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor;
    return this.then(
      (value) => promise.resolve(callback()).then(() => value),
      (reason) => promise.resolve(callback()).then(() => {
        throw reason;
      })
    );
  };
}
;
if (typeof uni !== "undefined" && uni && uni.requireGlobal) {
  const global = uni.requireGlobal();
  ArrayBuffer = global.ArrayBuffer;
  Int8Array = global.Int8Array;
  Uint8Array = global.Uint8Array;
  Uint8ClampedArray = global.Uint8ClampedArray;
  Int16Array = global.Int16Array;
  Uint16Array = global.Uint16Array;
  Int32Array = global.Int32Array;
  Uint32Array = global.Uint32Array;
  Float32Array = global.Float32Array;
  Float64Array = global.Float64Array;
  BigInt64Array = global.BigInt64Array;
  BigUint64Array = global.BigUint64Array;
}
;
if (uni.restoreGlobal) {
  uni.restoreGlobal(Vue, weex, plus, setTimeout, clearTimeout, setInterval, clearInterval);
}
(function(vue) {
  "use strict";
  function formatAppLog(type, filename, ...args) {
    if (uni.__log__) {
      uni.__log__(type, filename, ...args);
    } else {
      console[type].apply(console, [...args, filename]);
    }
  }
  var main = null;
  var receiver = null;
  function recive(success, fail) {
    main = plus.android.runtimeMainActivity();
    receiver = plus.android.implements("io.dcloud.feature.internal.reflect.BroadcastReceiver", {
      onReceive: function(context, intent) {
        plus.android.importClass(intent);
        var action = intent.getAction();
        var data;
        switch (action) {
          case "com.android.server.scannerservice.broadcast":
            data = intent.getExtra("scannerdata");
            break;
          case "android.intent.action.SCANRESULT":
            data = intent.getExtra("value");
            break;
          case "android.intent.ACTION_DECODE_DATA":
            data = intent.getExtra("barcode_string");
            break;
          case "com.android.provider.sdlmessage":
            data = intent.getExtra("msg");
            break;
          case "com.neusoft.action.scanner.read":
            data = intent.getStringExtra("scanner_value");
            if (data == null) {
              data = intent.getStringExtra("Scanner_value");
            }
            break;
          case "nlscan.action.SCANNER_RESULT":
            data = intent.getExtra("SCAN_BARCODE1");
            break;
          case "com.barcode.sendBroadcast":
            data = intent.getExtra("BARCODE");
            break;
          case "scan.rcv.message":
            let barocode = intent.getByteArrayExtra("barocode");
            let barocodelen = intent.getIntExtra("length", 0);
            data = new String(barocode, 0, barocodelen);
            break;
          case "xlyk.wz":
            data = intent.getExtra("qrcode");
            break;
          case "com.android.scanner.broadcast":
            data = intent.getExtra("scandata");
            break;
          case "com.honeywell.scan.broadcast":
            data = intent.getExtra("data");
            break;
        }
        if (data) {
          success({
            type: "barcode",
            data: data.replace(/\n/, "").replace(/\t/, "").trim()
            //处理结束符和换行符为空
          });
        } else {
          fail({
            type: "barcode",
            data: "未识别到扫码数据"
            //处理结束符和换行符为空
          });
        }
      }
    });
    var IntentFilter = plus.android.importClass("android.content.IntentFilter");
    plus.android.importClass("android.content.Intent");
    var filter = new IntentFilter();
    filter.addAction("com.android.provider.sdlMessage");
    filter.addAction("com.neusoft.action.scanner.read");
    filter.addAction("nlscan.action.SCANNER_RESULT");
    filter.addAction("scan.rcv.message");
    filter.addAction("com.android.server.scannerservice.broadcast");
    filter.addAction("android.intent.action.SCANRESULT");
    filter.addAction("android.intent.ACTION_DECODE_DATA");
    filter.addAction("com.barcode.sendBroadcast");
    filter.addAction("xlyk.wz");
    filter.addAction("com.android.scanner.broadcast");
    filter.addAction("com.android.scanner.broadcast");
    filter.addAction("com.honeywell.scan.broadcast");
    main.registerReceiver(receiver, filter);
  }
  function unregisterReceiver() {
    formatAppLog("log", "at src/libs/Broadcast.js:110", "取消监听广播");
    main.unregisterReceiver(receiver);
  }
  const _imports_0 = "/static/logo.png";
  const _export_sfc = (sfc, props) => {
    const target = sfc.__vccOpts || sfc;
    for (const [key, val] of props) {
      target[key] = val;
    }
    return target;
  };
  const _sfc_main$1 = {
    data() {
      return {
        title: "登录"
      };
    },
    onShow: function() {
      const self = this;
      recive(function(res) {
        formatAppLog("log", "at pages/index/index.vue:45", "Success:" + res.data);
        self.getEquipmentInfo(res.data);
      }, function(err) {
        formatAppLog("log", "at pages/index/index.vue:48", "Error:", JSON.stringify(err));
      });
    },
    onUnload: function() {
      unregisterReceiver();
    },
    methods: {
      getEquipmentInfo(encodedString) {
        encodedString = encodedString.replace(/,\s*\.\.\.$/, "");
        formatAppLog("log", "at pages/index/index.vue:59", "1:" + encodedString);
        let byteStrings = encodedString.split(",");
        let byteArray = [];
        for (let byteString of byteStrings) {
          byteArray.push(parseInt(byteString, 10));
        }
        formatAppLog("log", "at pages/index/index.vue:66", "2:" + encodedString);
        let originalString = "";
        for (let i = 0; i < byteArray.length; i++) {
          originalString += String.fromCharCode(byteArray[i]);
        }
        formatAppLog("log", "at pages/index/index.vue:75", "3:" + originalString);
        this.title = originalString;
        formatAppLog("log", "at pages/index/index.vue:77", "4:" + this.title);
      }
    }
  };
  function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
    return vue.openBlock(), vue.createElementBlock("view", { class: "bg-image" }, [
      vue.createElementVNode("image", {
        class: "logo",
        src: _imports_0
      }),
      vue.createElementVNode("view", { class: "text-area" }, [
        vue.createElementVNode(
          "text",
          { class: "title" },
          vue.toDisplayString($data.title),
          1
          /* TEXT */
        )
      ]),
      vue.createElementVNode("view", { class: "logo" }, [
        vue.createElementVNode("view", { class: "uni-flex uni-row" }, [
          vue.createElementVNode("view", {
            class: "uni-flex uni-column",
            style: { "flex": "1" }
          }, [
            vue.createElementVNode("view", {
              class: "uni-flex",
              style: { "flex": "1" }
            }, "用户昵称："),
            vue.createElementVNode("view", {
              class: "uni-flex",
              style: { "flex": "1" }
            }, "123")
          ]),
          vue.createElementVNode("view", {
            class: "uni-flex uni-column",
            style: { "flex": "1" }
          }, [
            vue.createElementVNode("view", {
              class: "uni-flex",
              style: { "flex": "1" }
            }, "设备型号："),
            vue.createElementVNode("view", {
              class: "uni-flex",
              style: { "flex": "1" }
            }, "123")
          ])
        ])
      ])
    ]);
  }
  const PagesIndexIndex = /* @__PURE__ */ _export_sfc(_sfc_main$1, [["render", _sfc_render], ["__file", "E:/代码/赛特制冷WCS/wcs/PDA/PDA/pages/index/index.vue"]]);
  __definePage("pages/index/index", PagesIndexIndex);
  const _sfc_main = {
    onLaunch: function() {
      formatAppLog("log", "at App.vue:4", "App Launch");
    },
    onShow: function() {
      formatAppLog("log", "at App.vue:7", "App Show");
    },
    onHide: function() {
      formatAppLog("log", "at App.vue:10", "App Hide");
    }
  };
  const App = /* @__PURE__ */ _export_sfc(_sfc_main, [["__file", "E:/代码/赛特制冷WCS/wcs/PDA/PDA/App.vue"]]);
  function createApp() {
    const app = vue.createVueApp(App);
    return {
      app
    };
  }
  const { app: __app__, Vuex: __Vuex__, Pinia: __Pinia__ } = createApp();
  uni.Vuex = __Vuex__;
  uni.Pinia = __Pinia__;
  __app__.provide("__globalStyles", __uniConfig.styles);
  __app__._component.mpType = "app";
  __app__._component.render = () => {
  };
  __app__.mount("#app");
})(Vue);
